Subject: Re: 27.0.50; Can't load/compile websocket in 32bit master

From: Paul Eggert <[email-masked]>
Date: Wed, 11 Apr 2018 09:22:48 -0700

On 04/11/2018 05:19 AM, Stefan Monnier wrote:
> "make externals" assumes that the other branches are in your
> repository, in the remote called "origin".  For some reason your
> local repository doesn't seem to be setup this way.

Yes, Andreas put me on the right track. I installed the attached to help 
others who might have a similar problem.

However, even when I clone directly from Savannah so that 'make 
externals' works, the resulting 'make' still fails from a fresh 
checkout. Here's the output of redoing the 'make'. (I can resend the log 
of the full 'make -j5' if you like, but it's 11,000 lines long....) Are 
the people doing periodic builds starting from a clean sheet, or is 
there some other mysterious thing that I am doing "wrong"?

$ make
Byte compiling packages/hyperbole/hinit.el
Unable to activate package ‘helm-ebdb’.
Required package ‘helm-1.0’ is unavailable
Unable to activate package ‘ebdb-i18n-chn’.
Required package ‘pyim-1.6.0’ is unavailable
Loading /home/eggert/src/gnu/elpa/packages/hyperbole/hui-window.el 
(source)...

In toplevel form:
packages/hyperbole/hinit.el:26:1:Error: "hui-window.el": ‘hmouse-alist’ 
must be defined before loading this.
make: *** [GNUmakefile:171: packages/hyperbole/hinit.elc] Error 1

Compilation exited abnormally with code 2 at Wed Apr 11 08:56:13

>From ed3aa83d0d4791d4a36085a9e8cd8ea41c18b014 Mon Sep 17 00:00:00 2001
From: Paul Eggert <[email-masked]>
Date: Wed, 11 Apr 2018 09:09:25 -0700
Subject: [PATCH] * README: Don't clone a clone.

---
 README | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/README b/README
index bc74eddd9..067f4c769 100644
--- a/README
+++ b/README
@@ -10,6 +10,14 @@ and how to deploy the archive (either on elpa.gnu.org, or a local copy
 for testing purposes).

+* GETTING THE SOURCE
+
+Start with source that is cloned directly from Savannah.  See:
+
+https://savannah.gnu.org/git/?group=emacs
+
+and look for "ELPA".  Using a clone of a clone does not work.
+
 * DIRECTORY LAYOUT
 
 ** admin/    -- scripts for administering the package archive.
-- 
2.14.3